const ws = new WebSocket('ws://localhost:10004/api/router');

ws.onopen = () => {
  console.log('open');
};

ws.onmessage = (event) => {
  console.log('message', event.data);
  const data = event.data;
  if (data === 'connected') {
    const data = {
      type: 'router',
      requestId: 'requestId',
      data: {
        path: 'demo',
      },
    };
    ws.send(JSON.stringify(data));
    const data2= {
      type: 'goo'
    };
    ws.send(JSON.stringify(data2));
  }
};

ws.onerror = (event) => {
  console.log('error', event);
};
